(function($){
  Drupal.behaviors.entitree = {
    attach: function (context, settings) {
      $('.entitree-location-operations-icon', context).on('click', onOperationsIconClick);
      $('.entitree--tree-display .location, .entitree-locations-location .location', context).on('mouseleave', onLocationMouseExit);
    },
  };

  var onOperationsIconClick = function(){
    var $location = $(this).closest('.location');
    if($location.hasClass('expanded-operations')){
      collapseLocationOperations($location);
    }
    else{
      expandLocationOperations($location);
    }
  };

  var onLocationMouseExit = function(){
    var $location = $(this);
    if ($location.hasClass('expanded-operations')) {
      collapseLocationOperations($location);
    }
  };

  var expandLocationOperations = function($location){
    $location.addClass('expanded-operations');
  };

  var collapseLocationOperations = function($location){
    $location.removeClass('expanded-operations');
  };
})(jQuery);
